Start a subscription checkout
/orgs/{organizationId}/billing/checkoutStart a subscription checkout. Payment changes require completion in Dodo's hosted flow.
Scoped FishOut API key. Never send credentials in query parameters.
In: header
Path Parameters
1 <= length <= 256Header Parameters
Reuse for retries of the same action for 24 hours. A changed body returns 409.
8 <= length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/orgs/string/billing/checkout" \ -H "Idempotency-Key: stringst" \ -H "Content-Type: application/json" \ -d '{ "planId": "string", "interval": "monthly", "idempotencyKey": "stringst" }'{ "data": { "status": "requires_action", "url": "http://example.com", "statusTool": "string", "property1": "string", "property2": "string" }, "meta": { "requestId": "string", "replayed": true }}Get plan, entitlements, usage and billing status GET
Get plan, entitlements, usage and billing status. Payment changes require completion in Dodo's hosted flow.
Get keyword, premium, relevant-mention and reply-draft usage with a month-end forecast GET
Get keyword, premium, relevant-mention and reply-draft usage with a month-end forecast. Payment changes require completion in Dodo's hosted flow.